Preview swap references

Base URL
https://{kibana_url}
  • POST /api/data_views/swap_references/_preview
  • POST /s/{space_id}/api/data_views/swap_references/_preview
Auth

Preview the effect of swapping saved object references from one data view to another. Returns the list of affected saved objects without making any changes.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

delete boolean

Deletes referenced saved object if all references are removed.

forId union string | string[]

Limit the affected saved objects to one or more by identifier.

forType string

Limit the affected saved objects by type.

fromId string required

The saved object reference to change.

fromType string

Specify the type of the saved object reference to alter. The default value is index-pattern for data views.

toId string required

New saved object reference value to replace the old value.

Response

Indicates a successful call.

application/json
result object[]
id string

A saved object identifier.

type string

The saved object type.

Base URL
https://{kibana_url}